#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n; cin >> n;
    long double p[n], a[n], b=0;
    vector<long double> v;
    pair<long double, long double> par[n];

    for(int i = 0; i < n; i++)
    {
        cin >> a[i] >> p[i];
        b+=a[i];
        par[i].first = p[i];
        par[i].second = a[i];
    }

    sort(par, par + n);

    for (int i = 0; i < n; i++)
    {
        a[i] = par[i].first;
        p[i] = par[i].second;
        v.push_back(b/100*a[i]);
        b-=p[i];
    }

    cout << fixed << *max_element(v.begin(), v.end());

    return 0;
}